<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:06:28 CEST 2014 -->
<title>HandshakeImpl1Server</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="HandshakeImpl1Server";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HandshakeImpl1Server.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/handshake/HandshakeImpl1Client.html" title="class in org.java_websocket.handshake"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/java_websocket/handshake/ServerHandshake.html" title="interface in org.java_websocket.handshake"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/handshake/HandshakeImpl1Server.html" target="_top">Frames</a></li>
<li><a href="HandshakeImpl1Server.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket.handshake</div>
<h2 title="Class HandshakeImpl1Server" class="title">Class HandshakeImpl1Server</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../org/java_websocket/handshake/HandshakedataImpl1.html" title="class in org.java_websocket.handshake">org.java_websocket.handshake.HandshakedataImpl1</a></li>
<li>
<ul class="inheritance">
<li>org.java_websocket.handshake.HandshakeImpl1Server</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../org/java_websocket/handshake/HandshakeBuilder.html" title="interface in org.java_websocket.handshake">HandshakeBuilder</a>, <a href="../../../org/java_websocket/handshake/Handshakedata.html" title="interface in org.java_websocket.handshake">Handshakedata</a>, <a href="../../../org/java_websocket/handshake/ServerHandshake.html" title="interface in org.java_websocket.handshake">ServerHandshake</a>, <a href="../../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">HandshakeImpl1Server</span>
extends <a href="../../../org/java_websocket/handshake/HandshakedataImpl1.html" title="class in org.java_websocket.handshake">HandshakedataImpl1</a>
implements <a href="../../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private short</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/handshake/HandshakeImpl1Server.html#httpstatus">httpstatus</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/handshake/HandshakeImpl1Server.html#httpstatusmessage">httpstatusmessage</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/java_websocket/handshake/HandshakeImpl1Server.html#HandshakeImpl1Server()">HandshakeImpl1Server</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/handshake/HandshakeImpl1Server.html#getHttpStatus()">getHttpStatus</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/handshake/HandshakeImpl1Server.html#getHttpStatusMessage()">getHttpStatusMessage</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/handshake/HandshakeImpl1Server.html#setHttpStatus(short)">setHttpStatus</a></strong>(short&nbsp;status)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/handshake/HandshakeImpl1Server.html#setHttpStatusMessage(java.lang.String)">setHttpStatusMessage</a></strong>(java.lang.String&nbsp;message)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.java_websocket.handshake.HandshakedataImpl1">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.java_websocket.handshake.<a href="../../../org/java_websocket/handshake/HandshakedataImpl1.html" title="class in org.java_websocket.handshake">HandshakedataImpl1</a></h3>
<code><a href="../../../org/java_websocket/handshake/HandshakedataImpl1.html#getContent()">getContent</a>, <a href="../../../org/java_websocket/handshake/HandshakedataImpl1.html#getFieldValue(java.lang.String)">getFieldValue</a>, <a href="../../../org/java_websocket/handshake/HandshakedataImpl1.html#hasFieldValue(java.lang.String)">hasFieldValue</a>, <a href="../../../org/java_websocket/handshake/HandshakedataImpl1.html#iterateHttpFields()">iterateHttpFields</a>, <a href="../../../org/java_websocket/handshake/HandshakedataImpl1.html#put(java.lang.String,%20java.lang.String)">put</a>, <a href="../../../org/java_websocket/handshake/HandshakedataImpl1.html#setContent(byte[])">setContent</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.java_websocket.handshake.HandshakeBuilder">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.java_websocket.handshake.<a href="../../../org/java_websocket/handshake/HandshakeBuilder.html" title="interface in org.java_websocket.handshake">HandshakeBuilder</a></h3>
<code><a href="../../../org/java_websocket/handshake/HandshakeBuilder.html#put(java.lang.String,%20java.lang.String)">put</a>, <a href="../../../org/java_websocket/handshake/HandshakeBuilder.html#setContent(byte[])">setContent</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.java_websocket.handshake.Handshakedata">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.java_websocket.handshake.<a href="../../../org/java_websocket/handshake/Handshakedata.html" title="interface in org.java_websocket.handshake">Handshakedata</a></h3>
<code><a href="../../../org/java_websocket/handshake/Handshakedata.html#getContent()">getContent</a>, <a href="../../../org/java_websocket/handshake/Handshakedata.html#getFieldValue(java.lang.String)">getFieldValue</a>, <a href="../../../org/java_websocket/handshake/Handshakedata.html#hasFieldValue(java.lang.String)">hasFieldValue</a>, <a href="../../../org/java_websocket/handshake/Handshakedata.html#iterateHttpFields()">iterateHttpFields</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="httpstatus">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>httpstatus</h4>
<pre>private&nbsp;short httpstatus</pre>
</li>
</ul>
<a name="httpstatusmessage">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>httpstatusmessage</h4>
<pre>private&nbsp;java.lang.String httpstatusmessage</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="HandshakeImpl1Server()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HandshakeImpl1Server</h4>
<pre>public&nbsp;HandshakeImpl1Server()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getHttpStatusMessage()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHttpStatusMessage</h4>
<pre>public&nbsp;java.lang.String&nbsp;getHttpStatusMessage()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/handshake/ServerHandshake.html#getHttpStatusMessage()">getHttpStatusMessage</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/handshake/ServerHandshake.html" title="interface in org.java_websocket.handshake">ServerHandshake</a></code></dd>
</dl>
</li>
</ul>
<a name="getHttpStatus()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHttpStatus</h4>
<pre>public&nbsp;short&nbsp;getHttpStatus()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/handshake/ServerHandshake.html#getHttpStatus()">getHttpStatus</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/handshake/ServerHandshake.html" title="interface in org.java_websocket.handshake">ServerHandshake</a></code></dd>
</dl>
</li>
</ul>
<a name="setHttpStatusMessage(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHttpStatusMessage</h4>
<pre>public&nbsp;void&nbsp;setHttpStatusMessage(java.lang.String&nbsp;message)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/handshake/ServerHandshakeBuilder.html#setHttpStatusMessage(java.lang.String)">setHttpStatusMessage</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a></code></dd>
</dl>
</li>
</ul>
<a name="setHttpStatus(short)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setHttpStatus</h4>
<pre>public&nbsp;void&nbsp;setHttpStatus(short&nbsp;status)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/java_websocket/handshake/ServerHandshakeBuilder.html#setHttpStatus(short)">setHttpStatus</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HandshakeImpl1Server.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/handshake/HandshakeImpl1Client.html" title="class in org.java_websocket.handshake"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/java_websocket/handshake/ServerHandshake.html" title="interface in org.java_websocket.handshake"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/handshake/HandshakeImpl1Server.html" target="_top">Frames</a></li>
<li><a href="HandshakeImpl1Server.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
